Package com.microblink.blinkid.entities.recognizers.blinkid.generic.viz

# Class VizResult

java.lang.Object
com.microblink.blinkid.entities.recognizers.blinkid.generic.viz.VizResult

public final class VizResult extends Object
Contains data extracted from the Visual Inspection Zone.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VizResult(long nativeContext, Object keep)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `StringResult`
  `getAdditionalAddressInformation()`
  The additional address information of the document owner.
  `StringResult`
  `getAdditionalNameInformation()`
  The additional name information of the document owner.
  `StringResult`
  `getAdditionalOptionalAddressInformation()`
  The one more additional address information of the document owner.
  `StringResult`
  `getAdditionalPersonalIdNumber()`
  The additional personal identification number.
  `StringResult`
  `getAddress()`
  The address of the document owner.
  `StringResult`
  `getBloodType()`
  The blood type of the document owner.
  `DateResult`
  `getDateOfBirth()`
  The date of birth of the document owner.
  `DateResult`
  `getDateOfExpiry()`
  The date of expiry of the document.
  `DateResult`
  `getDateOfIssue()`
  The date of issue of the document.
  `DependentInfo[]`
  `getDependentsInfo()`
  The dependents info.
  `StringResult`
  `getDocumentAdditionalNumber()`
  The additional number of the document.
  `StringResult`
  `getDocumentNumber()`
  The document number.
  `StringResult`
  `getDocumentOptionalAdditionalNumber()`
  The one more additional number of the document.
  `StringResult`
  `getDocumentSubtype()`
  The transcription of the document subtype.
  `DriverLicenseDetailedInfo`
  `getDriverLicenseDetailedInfo()`
  The driver license detailed info.
  `StringResult`
  `getEligibilityCategory()`
  The eligibility category.
  `StringResult`
  `getEmployer()`
  The employer of the document owner.
  `StringResult`
  `getFathersName()`
  The fathers name of the document owner.
  `StringResult`
  `getFirstName()`
  The first name of the document owner.
  `StringResult`
  `getFullName()`
  The full name of the document owner.
  `StringResult`
  `getIssuingAuthority()`
  The issuing authority of the document.
  `StringResult`
  `getLastName()`
  The last name of the document owner.
  `StringResult`
  `getLocalizedName()`
  The localized name of the document owner.
  `StringResult`
  `getManufacturingYear()`
  The manufacturing year.
  `StringResult`
  `getMaritalStatus()`
  The marital status of the document owner.
  `StringResult`
  `getMothersName()`
  The mothers name of the document owner.
  `StringResult`
  `getNationality()`
  The nationality of the document owner.
  `StringResult`
  `getPersonalIdNumber()`
  The personal identification number.
  `StringResult`
  `getPlaceOfBirth()`
  The place of birth of the document owner.
  `StringResult`
  `getProfession()`
  The profession of the document owner.
  `StringResult`
  `getRace()`
  The race of the document owner.
  `StringResult`
  `getReligion()`
  The religion of the document owner.
  `StringResult`
  `getRemarks()`
  The remarks on the residence permit.
  `StringResult`
  `getResidencePermitType()`
  The residence permit type.
  `StringResult`
  `getResidentialStatus()`
  The residential status of the document owner.
  `StringResult`
  `getSex()`
  The sex of the document owner.
  `StringResult`
  `getSpecificDocumentValidity()`
  The specific document validity.
  `StringResult`
  `getSponsor()`
  The sponsor of the document owner.
  `StringResult`
  `getVehicleType()`
  The vehicle type.
  `StringResult`
  `getVisaType()`
  The visa type of the document.
  `boolean`
  `isDateOfExpiryPermanent()`
  Determines if date of expiry is permanent.
  `boolean`
  `isEmpty()`
  Flag which indicates whether this result is empty or not.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### VizResult

    public VizResult(long nativeContext, @Nullable Object keep)
    Parameters:
      `nativeContext` - Native VIZ result.
      `keep` - Owner of the native VIZ result.

- ## Method Details

  - ### getFirstName

    @Nullable public StringResult getFirstName()
    The first name of the document owner.

  - ### getLastName

    @Nullable public StringResult getLastName()
    The last name of the document owner.

  - ### getFullName

    @Nullable public StringResult getFullName()
    The full name of the document owner.

  - ### getAdditionalNameInformation

    @Nullable public StringResult getAdditionalNameInformation()
    The additional name information of the document owner.

  - ### getLocalizedName

    @Nullable public StringResult getLocalizedName()
    The localized name of the document owner.

  - ### getFathersName

    @Nullable public StringResult getFathersName()
    The fathers name of the document owner.

  - ### getMothersName

    @Nullable public StringResult getMothersName()
    The mothers name of the document owner.

  - ### getAddress

    @Nullable public StringResult getAddress()
    The address of the document owner.

  - ### getAdditionalAddressInformation

    @Nullable public StringResult getAdditionalAddressInformation()
    The additional address information of the document owner.

  - ### getAdditionalOptionalAddressInformation

    @Nullable public StringResult getAdditionalOptionalAddressInformation()
    The one more additional address information of the document owner.

  - ### getPlaceOfBirth

    @Nullable public StringResult getPlaceOfBirth()
    The place of birth of the document owner.

  - ### getNationality

    @Nullable public StringResult getNationality()
    The nationality of the document owner.

  - ### getRace

    @Nullable public StringResult getRace()
    The race of the document owner.

  - ### getReligion

    @Nullable public StringResult getReligion()
    The religion of the document owner.

  - ### getRemarks

    @Nullable public StringResult getRemarks()
    The remarks on the residence permit.

  - ### getResidencePermitType

    @Nullable public StringResult getResidencePermitType()
    The residence permit type.

  - ### getManufacturingYear

    @Nullable public StringResult getManufacturingYear()
    The manufacturing year.

  - ### getVehicleType

    @Nullable public StringResult getVehicleType()
    The vehicle type.

  - ### getEligibilityCategory

    @Nullable public StringResult getEligibilityCategory()
    The eligibility category.

  - ### getSpecificDocumentValidity

    @Nullable public StringResult getSpecificDocumentValidity()
    The specific document validity.

  - ### getVisaType

    @Nullable public StringResult getVisaType()
    The visa type of the document.

  - ### getProfession

    @Nullable public StringResult getProfession()
    The profession of the document owner.

  - ### getMaritalStatus

    @Nullable public StringResult getMaritalStatus()
    The marital status of the document owner.

  - ### getResidentialStatus

    @Nullable public StringResult getResidentialStatus()
    The residential status of the document owner.

  - ### getEmployer

    @Nullable public StringResult getEmployer()
    The employer of the document owner.

  - ### getSex

    @Nullable public StringResult getSex()
    The sex of the document owner.

  - ### getSponsor

    @Nullable public StringResult getSponsor()
    The sponsor of the document owner.

  - ### getBloodType

    @Nullable public StringResult getBloodType()
    The blood type of the document owner.

  - ### getDateOfBirth

    @Nullable public DateResult getDateOfBirth()
    The date of birth of the document owner.

  - ### getDateOfIssue

    @Nullable public DateResult getDateOfIssue()
    The date of issue of the document.

  - ### getDateOfExpiry

    @Nullable public DateResult getDateOfExpiry()
    The date of expiry of the document.

  - ### isDateOfExpiryPermanent

    public boolean isDateOfExpiryPermanent()
    Determines if date of expiry is permanent.

  - ### getDocumentNumber

    @Nullable public StringResult getDocumentNumber()
    The document number.

  - ### getPersonalIdNumber

    @Nullable public StringResult getPersonalIdNumber()
    The personal identification number.

  - ### getDocumentAdditionalNumber

    @Nullable public StringResult getDocumentAdditionalNumber()
    The additional number of the document.

  - ### getDocumentOptionalAdditionalNumber

    @Nullable public StringResult getDocumentOptionalAdditionalNumber()
    The one more additional number of the document.

  - ### getDocumentSubtype

    @Nullable public StringResult getDocumentSubtype()
    The transcription of the document subtype.

  - ### getAdditionalPersonalIdNumber

    @Nullable public StringResult getAdditionalPersonalIdNumber()
    The additional personal identification number.

  - ### getIssuingAuthority

    @Nullable public StringResult getIssuingAuthority()
    The issuing authority of the document.

  - ### getDriverLicenseDetailedInfo

    @NonNull public DriverLicenseDetailedInfo getDriverLicenseDetailedInfo()
    The driver license detailed info.

  - ### getDependentsInfo

    @NonNull public DependentInfo[] getDependentsInfo()
    The dependents info.

  - ### isEmpty

    public boolean isEmpty()
    Flag which indicates whether this result is empty or not.